<?
// HPAdmin 2.0 Installer

// Dieses Script installiert auf ihrem Webserver 
// den HPAdmin. Eine premptive Konfiguration ist
// ebenfalls enthalten.

$ver = "1.0 Build 1";

include("lib/prepend.php3");
$step = getenv("QUERY_STRING");
$db = new My_DB_Sql;


function error_exit($errorcode,$step) {
	switch ($errorcode) {
		case "db":
		die("Bei Schritt $step ist ein Fehler aufgetreten. Die Datenbank war nicht erreichbar. Das Installationsprogramm wird beendet. Lschen Sie die Eintrge in der Datenbank, um mgliche Fehlermeldungen auszuschlieen und versuchen Sie es erneut.");
		break;
		case "wert_fehlt":
		die("Bei Schritt $step ist ein Fehler aufgetreten. Sie haben vergessen, notwendige Werte anzugeben. Das Installationsprogramm wird beendet. Lschen Sie die Eintrge in der Datenbank, um mgliche Fehlermeldungen auszuschlieen und versuchen Sie es erneut.");
		break;
		case "":
		break;
	}
}


if(!$step) { $step = 1; }
?>
<HTML><HEAD><TITLE>HPAdmin 2.0 Installer <?php print $ver."Schritt ".$step; ?></TITLE></HEAD>
<BODY TEXT="#000000" LINK="#0000FF" VLINK="#0000FF" ALINK="#0000FF">

<?php
switch ($step) {
	case 1:
		// Erster Schritt
		$step=1;
		$db->query("CREATE TABLE active_sessions (sid varchar(32) NOT NULL,name varchar(32) NOT NULL,val text,changed varchar(14) NOT NULL,PRIMARY KEY (name, sid), KEY changed (changed))");
		$db->query("CREATE TABLE active_sessions_split (ct_sid varchar(32) NOT NULL,ct_name varchar(32) NOT NULL,ct_pos varchar(6) NOT NULL,ct_val text,ct_changed varchar(14) NOT NULL,PRIMARY KEY (ct_name, ct_sid, ct_pos),KEY ct_changed (ct_changed))");
		$db->query("CREATE TABLE auth_user (user_id varchar(32) NOT NULL,username varchar(32) NOT NULL,password varchar(32) NOT NULL,perms varchar(255),PRIMARY KEY (user_id),UNIQUE k_username (username))");
		$db->query("CREATE TABLE auth_user_md5 (user_id varchar(32) NOT NULL,username varchar(32) NOT NULL,password varchar(32) NOT NULL,perms varchar(255),PRIMARY KEY (user_id),UNIQUE k_username (username))");
		$db->query("CREATE TABLE db_sequence (seq_name varchar(127) NOT NULL,nextid int(10) unsigned DEFAULT '0' NOT NULL,PRIMARY KEY (seq_name))");
		$db->query("CREATE TABLE tbl_banner_rotate (ID int(11) DEFAULT '0' NOT NULL auto_increment,Name char(40) NOT NULL,email char(64) NOT NULL,Banner_URL char(160) NOT NULL,HP_URL char(128) NOT NULL,HP_Titel char(64) NOT NULL,PRIMARY KEY (ID))");
		$db->query("CREATE TABLE tbl_features (update_date varchar(10) NOT NULL,ad_status tinyint(4) DEFAULT '0' NOT NULL,ad_tags text NOT NULL,b_rotation tinyint(4) DEFAULT '0' NOT NULL,my_banners text NOT NULL,g_book tinyint(4) DEFAULT '0' NOT NULL,news tinyint(4) DEFAULT '0' NOT NULL,f_icon varchar(64) NOT NULL)");
		$db->query("CREATE TABLE tbl_gb (ID int(11) DEFAULT '0' NOT NULL auto_increment,date varchar(10),name varchar(30) NOT NULL,email varchar(40) NOT NULL,hp varchar(128) NOT NULL,eintrag text NOT NULL,PRIMARY KEY (ID, name))");
		$db->query("CREATE TABLE tbl_lower_categories (ID int(11) DEFAULT '0' NOT NULL auto_increment,Name varchar(60) NOT NULL,Child_of int(11) DEFAULT '0' NOT NULL,HTML_Text text NOT NULL,PRIMARY KEY (ID))");
		$db->query("CREATE TABLE tbl_newsletter (ID int(11) DEFAULT '0' NOT NULL auto_increment,date varchar(10),   news_text text NOT NULL,PRIMARY KEY (ID))");
		$db->query("CREATE TABLE tbl_site_config (admin_name varchar(20) NOT NULL,admin_pass varchar(128) NOT NULL,site_name varchar(40) NOT NULL,hg_farbe varchar(6) NOT NULL,text_farbe varchar(6) NOT NULL,css_status tinyint(4) DEFAULT '0' NOT NULL,css_type text NOT NULL,entries_per_site tinyint(4) DEFAULT '0' NOT NULL,allow_html_tags char(3) NOT NULL,counter int(11) DEFAULT '0' NOT NULL)");
		$db->query("CREATE TABLE tbl_upper_categories (ID int(11) DEFAULT '0' NOT NULL auto_increment,Name varchar(60) NOT NULL,HTML_Text text NOT NULL,descr varchar(255) NOT NULL,PRIMARY KEY (ID))");
		$db->query("CREATE TABLE tblnewsletter_email_db (ID int(11) DEFAULT '0' NOT NULL auto_increment,email char(64) NOT NULL,PRIMARY KEY (ID))");
			?>
				Datenbank-Tabellen angelegt, jetzt kann Schritt 2 (Grund-Konfiguration) folgen.
				<FORM ACTION="<?php echo $PHP_SELF; ?>?2" METHOD="POST">
				<INPUT TYPE=SUBMIT VALUE="Weiter zu Schritt 2">
				</FORM>
			<?php
	break;
	case 2:
		?>
		<FORM ACTION="<?php print $PHP_SELF; ?>?3" METHOD="POST">
		<TABLE BORDER=0>
		<TR><TD>Administratorname</TD><TD><INPUT TYPE=TEXT NAME="name" VALUE="[Ihr Administratorname]" MAXLENGTH=20></TD><TD>(20 Zeichen)</TD></TR>
		<TR><TD>Administratorpasswort</TD><TD><INPUT TYPE=PASSWORD NAME="password" MAXLENGTH=16></TD><TD>(16 Zeichen)</TD></TR>
		<TR><TD>Homepage-Name</TD><TD><INPUT TYPE=TEXT NAME="site_name" MAXLENGTH=40></TD><TD>(40 Zeichen)</TD><TR>
		</TABLE>
		<INPUT TYPE=SUBMIT VALUE="Weiter zu Schritt 3">
		</FORM>
		<?php
	break;
	case 3:
		$db->query("INSERT INTO tbl_site_config (admin_name,admin_pass,site_name) VALUES ('$name',PASSWORD('$password'),'$site_name')");
		if(!$db->affected_rows()) {
			// $error_code="db"; break;
		} else {
			?>
			<FORM ACTION="<?php print $PHP_SELF; ?>?4" METHOD="POST">
			Bitte geben Sie die Farben fr Ihre neuen Seiten an (HTML-Farbcode-Werte).
			<TABLE BORDER=0>
			<TR><TD>Hintergrund</TD><TD><INPUT TYPE=TEXT NAME="hg" MAXLENGTH=6></TD><TD>(6 Zeichen; 0-F)</TD></TR>
			<TR><TD>Text</TD><TD><INPUT TYPE=TEXT NAME="text" MAXLENGTH=6></TD><TD>(6 Zeichen; 0-F)</TD></TR>
			</TABLE>
			<BR><BR>
			Anmerkungen:
				<UL>
				<LI>Keine Stylesheets -> Deaktiviert</LI>
				<LI>Selbst eintragen -> neben stehendes Feld die CSS-Tags eintragen</LI>
				<LI>Datei -> nebenstehendes Feld den <U>relativen</U> Pfad eintragen  <FONT SIZE=-2>Bsp: ./meine_styles.css</FONT></LI>
				</UL><BR>
			<TABLE BORDER=0>
			<TR><TD><SELECT NAME="css_status">
					<OPTION VALUE=0>Keine Stylesheets</OPTION>
					<OPTION VALUE=1>Selbst eintragen</OPTION>
					<OPTION VALUE=2>Datei</OPTION>
				</TD><TD><TEXTAREA NAME="css_type" ROWS=3 COLS=50>
				A{text-decoration:none;color:#CC0000;font-family:Arial,Helvetica,sans-serif} A:hover{text-decoration:underline;font-family:Arial,Helvetica,sans-serif;color:#CC3300} A.menu{text-decoration:none;color:#333333;font-family:Arial,Helvetica,sans-serif} A.menu:hover{text-decoration:underline;font-family:Arial,Helvetica,sans-serif;color:#666666} A.menu2{text-decoration:none;color:#000000;font-family:Arial,Helvetica,sans-serif;font-weight:bold} A.menu2:hover{text-decoration:underline;font-family:Arial,Helvetica,sans-serif;color:#666666} body{font-family:Arial,Helvetica,sans-serif;font-size:10pt;color:#333333;top-margin:0;left-margin:0;right-margin:0;} p{font-family:Arial,Helvetica,sans-serif;font-size:10pt;color:#333333 } td{font-family:Arial,Helvetica,sans-serif;font-size:10pt;color:#333333 } th{font-family:Arial,Helvetica,sans-serif;font-size:10pt;color:#333333;font-weight:bold} td.menu {background-image:url(graphics/butt2.png);background-repeat:no-repeat;background-position:center;text-align:center}
				</TEXTAREA>
				</TD>
			</TR>
			</TABLE>
			Bitte geben Sie nun an, was auf Ihrer Home-Site fr Text stehen soll. Verwenden Sie sinnvollerweise normales HTML & gegebenfalls JavaScript.
			<TEXTAREA NAME="home_entry" COLS=100 ROWS=6></TEXTAREA><BR><BR>
			<INPUT TYPE=SUBMIT VALUE="Weiter zu Schritt 4">
			</FORM>
			<?php
		}
	break;
	case 4:
		if($hg) { 
			$db->query("UPDATE tbl_site_config SET hg_farbe='$hg'");
			$db->query("UPDATE tbl_site_config SET text_farbe='$text'");
		} else { 
			$error_code="wert_fehlt";break; 
		}
		// if(!$db->affected_rows()) { $error_code="db"; break; }
		$db->query("UPDATE tbl_site_config SET css_status=$css_status");
		// if(!$db->affected_rows()) { $error_code="db"; break; }
		if($css_status>>0) {
			if(!$css_type) { $error_code="wert_fehlt"; break; } else {
				$db->query("UPDATE tbl_site_config SET css_type='$css_type'");
				// if(!$db->affected_rows()) { $error_code="db"; break; }
			}
		}
		if(!$home_entry) { $error_code="wert_fehlt"; break; } else {
			$db->query("INSERT INTO tbl_upper_categories (Name,HTML_Text,descr) VALUES ('Home','$home_entry','Unsere Startseite')");
			// if(!$db->affected_rows()) { $error_code="db"; break; }
		}

		?>
			<!-- Schritt 4-Form -->
			Hier werden die letzten Komponenten konfiguriert, es ist also gleich geschafft! (-;
			<BR><BR>
			<FORM ACTION="<?php print $PHP_SELF; ?>?5" METHOD="POST">
			<TABLE BORDER=0>
			<TR><TH>Gstebuch implementieren</TH><TD><INPUT TYPE=CHECKBOX NAME="gb" VALUE="yes" CHECKED></TD><TD>Bei aktivieren, bitte folgende 2 Punkte beachten:</TD></TR>
			<TR><TD>Eintrge pro Seite</TD><TD><INPUT TYPE=TEXT NAME="max_entries" VALUE="5"></TD><TD>&nbsp;</TD></TR>
			<TR><TD>HTML-Tags gestatten?</TD><TD><INPUT TYPE=CHECKBOX NAME="html_tags" VALUE="yes"></TD><TD>Sollen HTML-Tags in ihrem Gstebuch verwendet werden knnen (auch JavaScript)?</TD></TR>
			<TR><TH>Newsletter implementieren?</TH><TD><INPUT TYPE=CHECKBOX NAME="nl" VALUE="yes" CHECKED></TD><TD>Mit dem Newsletter knnen Sie Ihre Besucher ber Neuigkeiten auf Ihrer Homepage informieren.</TD></TR>
			<TR><TH>Bannerwerbung?</TH><TD><INPUT TYPE=CHECKBOX NAME="bw" VALUE="yes" CHECKED></TD><TD>Mchten Sie ein Werbebanner im Kopf ihrer Seite anzeigen lassen? Beachten Sie hierzu die Readme. Auerdem fllen Sie folgendes Text-Feld bitte aus!</TD></TR>
			<TR><TD>Werbebanner-Code</TD><TD><TEXTAREA NAME="wbc" COLS=50 ROWS=3>
				<TABLE CELLPADDING=0 CELLSPACING=0 BORDER=0 ALIGN="CENTER"><TR VALIGN="TOP"><TD><A HREF="http://www.bannerkonzepte.de" TARGET="_top"><IMG SRC="http://www.bannerkonzepte.de/werbung.gif" BORDER=0 WIDTH=9 HEIGHT=60></A></TD><TD><IFRAME SRC="my_ad.php3" WIDTH=468 HEIGHT=60 SCROLLING="NO" FRAMEBORDER=0 FRAMESPACING=0 ALIGN="CENTER" MARGINWIDTH=0 MARGINHEIGHT=0></IFRAME><NOFRAMES><A HREF="http://www.bannerkonzepte.de/cgi-bin/xcclick.cgi?MikeGreubel.0" TARGET="_blank"><IMG SRC="http://www.bannerkonzepte.de/cgi-bin/xcshow.cgi?MikeGreubel.0" BORDER=0></A></NOFRAMES></TD></TR></TABLE>
				</TEXTAREA>
				</TD><TD>Bitte ndern Sie den Bannercode ihren Wnschen entsprechend ab.</TD></TR>
			<TR><TH>Banner-Rotation?</TH><TD><INPUT TYPE=CHECKBOX NAME="br" VALUE="yes" CHECKED></TD><TD>Wollen Sie auf Ihrer Seite Banner-Rotation betreiben?</TD></TR>
			</TABLE>
			<INPUT TYPE=SUBMIT VALUE="Installation abschlieen">
			</FORM>
		<?php
	break;
	case 5:
		if($gb=="yes") { $gb=1; } else { $gb=0; }
		if($nl=="yes") { $nl=1; } else { $nl=0; }
		if($bw=="yes") { $bw=1; } else { $bw=0; }
		if($br=="yes") { $br=1; } else { $br=0; }
		if($html_tags!="yes") { $html_tags="no"; }
		$db->query("INSERT INTO tbl_features (ad_status,ad_tags,b_rotation,g_book,news) VALUES ('$bw','$wbc','$br','$gb','$nl')");
		// if(!$db->affected_rows()) { $error_code="db"; break; }
		$db->query("UPDATE tbl_site_config SET allow_html_tags='$html_tags'");
		// if(!$db->affected_rows()) { $error_code="db"; break; }
		$db->query("UPDATE tbl_site_config SET entries_per_site=$max_entries");
		// if(!$db->affected_rows()) { $error_code="db"; break; }
		$db->query("INSERT INTO tbl_banner_rotate (name,email,Banner_URL,HP_URL,HP_Titel) VALUES ('Mike Greubel','mike.greubel@pro-entertain.de','http://www.pro-entertain.de/graphics/Banner/Banner02.png','http://www.pro-entertain.de','PRO-Entertain.de WebSolutions')");
		$db->query("INSERT INTO tbl_banner_rotate (name,email,Banner_URL,HP_URL,HP_Titel) VALUES ('Mike Greubel','mike@phpforen.de','http://www.pro-entertain.de/yabb/banner.gif','http://www.phpforen.de','PHPForen.de')");
		?>
			Der HPAdmin 2.0 wurde erfolgreich installiert. Rufen Sie jetzt die <A HREF="index.php3?upper_cat=1">Hauptseite</A> auf und wechseln Sie auf den Administrationsbereich.
		<?php
}
error_exit($error_code,$step);
?>