# phpMyAdmin MySQL-Dump
# http://phpwizard.net/phpMyAdmin/

#### CSV-File fr den HPAdmin 2.0
#
# --------------------------------------------------------
#
# Tabellenstruktur fr Tabelle 'active_sessions'
#

CREATE TABLE active_sessions (
   sid varchar(32) NOT NULL,
   name varchar(32) NOT NULL,
   val text,
   changed varchar(14) NOT NULL,
   PRIMARY KEY (name, sid),
   KEY changed (changed)
);


# --------------------------------------------------------
#
# Tabellenstruktur fr Tabelle 'active_sessions_split'
#

CREATE TABLE active_sessions_split (
   ct_sid varchar(32) NOT NULL,
   ct_name varchar(32) NOT NULL,
   ct_pos varchar(6) NOT NULL,
   ct_val text,
   ct_changed varchar(14) NOT NULL,
   PRIMARY KEY (ct_name, ct_sid, ct_pos),
   KEY ct_changed (ct_changed)
);


# --------------------------------------------------------
#
# Tabellenstruktur fr Tabelle 'auth_user'
#

CREATE TABLE auth_user (
   user_id varchar(32) NOT NULL,
   username varchar(32) NOT NULL,
   password varchar(32) NOT NULL,
   perms varchar(255),
   PRIMARY KEY (user_id),
   UNIQUE k_username (username)
);


# --------------------------------------------------------
#
# Tabellenstruktur fr Tabelle 'auth_user_md5'
#

CREATE TABLE auth_user_md5 (
   user_id varchar(32) NOT NULL,
   username varchar(32) NOT NULL,
   password varchar(32) NOT NULL,
   perms varchar(255),
   PRIMARY KEY (user_id),
   UNIQUE k_username (username)
);


# --------------------------------------------------------
#
# Tabellenstruktur fr Tabelle 'db_sequence'
#

CREATE TABLE db_sequence (
   seq_name varchar(127) NOT NULL,
   nextid int(10) unsigned DEFAULT '0' NOT NULL,
   PRIMARY KEY (seq_name)
);


# --------------------------------------------------------
#
# Tabellenstruktur fr Tabelle 'tbl_banner_rotate'
#

CREATE TABLE tbl_banner_rotate (
   ID int(11) DEFAULT '0' NOT NULL auto_increment,
   Name char(40) NOT NULL,
   email char(64) NOT NULL,
   Banner_URL char(160) NOT NULL,
   HP_URL char(128) NOT NULL,
   HP_Titel char(64) NOT NULL,
   PRIMARY KEY (ID)
);


# --------------------------------------------------------
#
# Tabellenstruktur fr Tabelle 'tbl_features'
#

CREATE TABLE tbl_features (
   update_date varchar(10) NOT NULL,
   ad_status tinyint(4) DEFAULT '0' NOT NULL,
   ad_tags text NOT NULL,
   b_rotation tinyint(4) DEFAULT '0' NOT NULL,
   my_banners text NOT NULL,
   g_book tinyint(4) DEFAULT '0' NOT NULL,
   news tinyint(4) DEFAULT '0' NOT NULL,
   f_icon varchar(64) NOT NULL
);


# --------------------------------------------------------
#
# Tabellenstruktur fr Tabelle 'tbl_gb'
#

CREATE TABLE tbl_gb (
   ID int(11) DEFAULT '0' NOT NULL auto_increment,
   date varchar(10),
   name varchar(30) NOT NULL,
   email varchar(40) NOT NULL,
   hp varchar(128) NOT NULL,
   eintrag text NOT NULL,
   PRIMARY KEY (ID, name)
);


# --------------------------------------------------------
#
# Tabellenstruktur fr Tabelle 'tbl_lower_categories'
#

CREATE TABLE tbl_lower_categories (
   ID int(11) DEFAULT '0' NOT NULL auto_increment,
   Name varchar(60) NOT NULL,
   Child_of int(11) DEFAULT '0' NOT NULL,
   HTML_Text text NOT NULL,
   PRIMARY KEY (ID)
);


# --------------------------------------------------------
#
# Tabellenstruktur fr Tabelle 'tbl_newsletter'
#

CREATE TABLE tbl_newsletter (
   ID int(11) DEFAULT '0' NOT NULL auto_increment,
   date varchar(10),
   news_text text NOT NULL,
   PRIMARY KEY (ID)
);


# --------------------------------------------------------
#
# Tabellenstruktur fr Tabelle 'tbl_site_config'
#

CREATE TABLE tbl_site_config (
   admin_name varchar(20) NOT NULL,
   admin_pass varchar(128) NOT NULL,
   site_name varchar(40) NOT NULL,
   hg_farbe varchar(6) NOT NULL,
   text_farbe varchar(6) NOT NULL,
   css_status tinyint(4) DEFAULT '0' NOT NULL,
   css_type text NOT NULL,
   entries_per_site tinyint(4) DEFAULT '0' NOT NULL,
   allow_html_tags char(3) NOT NULL,
   counter int(11) DEFAULT '0' NOT NULL
);


# --------------------------------------------------------
#
# Tabellenstruktur fr Tabelle 'tbl_upper_categories'
#

CREATE TABLE tbl_upper_categories (
   ID int(11) DEFAULT '0' NOT NULL auto_increment,
   Name varchar(60) NOT NULL,
   HTML_Text text NOT NULL,
   descr varchar(255) NOT NULL,
   PRIMARY KEY (ID)
);


# --------------------------------------------------------
#
# Tabellenstruktur fr Tabelle 'tblnewsletter_email_db'
#

CREATE TABLE tblnewsletter_email_db (
   ID int(11) DEFAULT '0' NOT NULL auto_increment,
   email char(64) NOT NULL,
   PRIMARY KEY (ID)
);

