<?
// DB-Library
// V1.0

function print_my_banner() {
	$db = new My_DB_Sql;
	$db->query("SELECT * FROM tbl_features");
	$db->next_record();
	if($db->f("my_banners") == 0) { return FALSE; } else { return $db->f("my_banners"); }
}

function get_page_icon() {
	// Soll ein Icon im Browser angezeigt werden?
	$db = new My_DB_Sql;
	$db->query("SELECT * FROM tbl_features");
	$db->next_record();
	if($db->f("f_icon") == 0) { return FALSE; } else { return $db->f("f_icon"); }
}

function get_ad_stat() {
	// Status des Werbe-Banners
	$db = new My_DB_Sql;
	$db->query("SELECT * FROM tbl_features");
	$db->next_record();
	if($db->f("ad_status") == 1) { return TRUE; } else { return FALSE; }
}

function get_ad_tags() {
	// Liest Werbe-Banner-Code aus
	if (get_ad_stat() == FALSE) { 
		return FALSE; 
	} else {
		$db = new My_DB_Sql;
		$db->query("SELECT * FROM tbl_features");
		$db->next_record();
		return $db->f("ad_tags");
	}
}

function get_banner_rotation_status() {
	// Banner-Rotation, Ja oder Nein?
	$db = new My_DB_Sql;
	$db->query("SELECT * FROM tbl_features");
	$db->next_record();
	if($db->f("b_rotation") == 1) { return TRUE; } else { return FALSE; }
}

function get_news_status() {
	// News/-Letter implementieren?
	$db = new My_DB_Sql;
	$db->query("SELECT * FROM tbl_features");
	$db->next_record();
	if($db->f("news") == 1) { return TRUE; } else { return FALSE; }
}

function get_gb_status() {
	// News/-Letter implementieren?
	$db = new My_DB_Sql;
	$db->query("SELECT * FROM tbl_features");
	$db->next_record();
	if($db->f("g_book") == 1) { return TRUE; } else { return FALSE; }
}


function get_counter_data() {
// Holt Daten fr den Counter aus der Datenbank
// Rckgabewert:
// int get_counter_data(void)

	$db = new My_DB_Sql;
	$db->query("SELECT * FROM tbl_site_config");
	$db->next_record();
	$count=$db->f("counter");
	return $count;
}

function put_counter_data($count) {
// Funktion zum Schreiben des upgedateten Counters
// Rckgabewert:
// boolean put_counter_data($count int)

	$db = new My_DB_Sql;
	$db->query("UPDATE tbl_site_config SET counter='$count'");
	if($db->affected_rows()) { return TRUE; } else { return FALSE; }
}

function get_upper_categories() {
// Funktion zum auslesen der Haupt-Kategorien
// Rckgabe-Wert:
// void get_upper_categores(void)
// Kein Rckgabewert, Tabelle wird sofort geschrieben, sofern Inhalt vorhanden ist

	$db = new My_DB_Sql;

	$db->query("SELECT * FROM tbl_upper_categories ORDER BY ID");
	while($db->next_record()) {	
		$i++;
		$category[$i]=$db->f("Name");
		$id[$i]=$db->f("ID");
		$descr[$i]=$db->f("descr");
	}
	$anzahl_daten=sizeof($category);
	if(!$anzahl_daten>=1) { 
		print "<TR><TD ALIGN=\"CENTER\">Nix da!</TD></TR>\n";
	} else {
		site_main_functions1();
		for($x=1;$x<$anzahl_daten+1;$x++) {
			print "<TR><TD ALIGN=\"LEFT\" class=\"menu\"><A id=overheading HREF=\"index.php3?upper_cat=$id[$x]\" onMouseOver=\"drc('$descr[$x]','$category[$x]'); return true;\" onMouseOut=\"nd(); return true;\" class=\"menu2\">$category[$x]</A></TD></TR>\n";
		}
		site_main_functions2();
	}
}

function get_lower_categories($category) {
// Schreibt Unterkategorien in den dafr vorgesehenen Bereich
// Rckgabewert:
// void get_lower_categories($category string)
	$db = new My_DB_Sql;

	$db->query("SELECT * FROM tbl_lower_categories WHERE Child_of=$category ORDER BY ID");
	while($db->next_record()) {
		$i++;
		$sub_categorie[$i]=$db->f("Name");
		$id[$i]=$db->f("ID");
	}
	$anzahl_sub_cats=sizeof($sub_categorie);
	print "<TR>";
	if(!$anzahl_sub_cats) {
		$db->query("SELECT * FROM tbl_upper_categories WHERE ID=$category");
		$db->next_record();
		$category=$db->f("Name");
		print "<TD>Keine Sub-Cat\"s in $category</TD>\n";
	} else {
		for($x=1;$x<$anzahl_sub_cats+1;$x++) {
			print "<TD> [ <A HREF=\"index.php3?upper_cat=$category&lower_cat=$id[$x]\" class=\"menu\">$sub_categorie[$x]</A> ] </TD>\n";
		}
	}
	print "</TR>";
}

function check_for_main_cat() {
// Sucht die Haupt-Categorie in der Datenbank
// Rckgabewert:
// int check_for_main_cat(void)

	$db = new My_DB_Sql;

	$db->query("SELECT * FROM tbl_upper_categories WHERE Name='Home'");
	$db->next_record();
	$id = $db->f("ID");

	return $id; 
}

function get_bereich($category) {
// Funktion zum auslesen des Namen der Kategorie
// Rckgabewert:
// string get_bereich($category int)

	$db = new My_DB_Sql;
	$db->query("SELECT * FROM tbl_upper_categories WHERE ID=$category");
	$db->next_record();
	$return_code=$db->f("Name");
	return $return_code;
}

function get_lower_bereich($category) {
	$db = new My_DB_Sql;
	$db->query("SELECT * FROM tbl_lower_categories WHERE ID=$category");
	$db->next_record();
	$return_code=$db->f("Name");
	return $return_code;
}

function get_main_html_text($category) {
	// HTML-Inhalt aus der DB holen und zurckliefern
	$db = new My_DB_Sql;
	$db->query("SELECT * FROM tbl_upper_categories WHERE ID=$category");
	$db->next_record();
	$return=$db->f("HTML_Text");
	return $return;
}

function get_cat_html_text($category) {
	$db = new My_DB_Sql;
	$db->query("SELECT * FROM tbl_lower_categories WHERE ID=$category");
	$db->next_record();
	$return=$db->f("HTML_Text");
	return $return;
}

function change_newsletter_db($email,$action) {
	$db = new My_DB_Sql;
	if($action=="remove") {
		$db->query("DELETE FROM tblnewsletter_email_db WHERE email='$email'");
		$return_code=$db->affected_rows();
		if($return_code==1) {
			$html_text="Ihre EMail-Adresse <I>$email</I> wurde auf Ihren Wunsch hin aus unserer Datenbank entfernt. Sie k&ouml;nnen sich jederzeit wieder eintragen und die neuesten Infos zu dieser Site durch unseren Newsletter zugeschickt bekommen.";
		} else {
			$html_text="Uupss! Auf die Datenbank konnte nicht zugegriffen werden.<BR><BR>M&ouml;glicherweise ist es nur ein tempor&auml;res Problem, das in ein paar Sekunden bereits behoben ist. Probieren Sie es erneut.";
		}
		return $html_text;
	}

	if($action=="add") {
		$db->query("INSERT INTO tblnewsletter_email_db (email) VALUES ('$email')");
		$return_code=$db->affected_rows();
		if($return_code==1) {
			$html_text="Ihre EMail-Adresse <I>$email</I> wurde unserer Datenbank hinzugef&uuml;gt. Sie k&ouml;nnen sie jederzeit wieder &uuml;ber die gleiche Option entfernen, wie Sie sie eingetragen haben.<BR><BR>Sie werden ab jetzt &uuml;ber Neuigkeiten auf dieser Website informiert.";
		} else {
			$html_text="Uupss! Auf die Datenbank konnte nicht zugegriffen werden.<BR><BR>M&ouml;glicherweise ist es nur ein tempor&auml;res Problem, das in ein paar Sekunden bereits behoben ist. Probieren Sie es erneut.";
		}
		return $html_text;
	}
}

function check_admin_data($admin_name,$admin_pass) {
	$db = new My_DB_Sql;
	$db->query("SELECT * FROM tbl_site_config WHERE admin_pass=PASSWORD('$admin_pass')");
	if($res=$db->num_rows()) {
		$db->query("SELECT * FROM tbl_site_config");
		$db->next_record();
		if($db->f("admin_name")==$admin_name) {
			return TRUE;
		} else {
			return FALSE;
		}
	} else {
		return FALSE;
	}
}

function get_site_config() {
	$db = new My_DB_Sql;
	$db->query("SELECT * FROM tbl_site_config");
	$db->next_record();
	$site_name=$db->f("site_name");
	$hg_farbe=$db->f("hg_farbe");
	$text_farbe=$db->f("text_farbe");
	$css_status=$db->f("css_status");
	$css_type=$db->f("css_type");
	$eintr_pro_seite=$db->f("entries_per_site");
	return array ($site_name,$hg_farbe,$text_farbe,$css_status,$css_type,$eintr_pro_seite);
}


function print_newsletter($last_nl,$text_farbe,$hg_farbe,$eintr_pro_seite) {
	$db = new My_DB_Sql;
	if(!$last_nl) { $db->query("SELECT * FROM tbl_newsletter");$last_nl=$db->num_rows()+1; }
	$return_code="<TABLE BORDER=0 WIDTH=\"97%\" CELLSPACING=1 CELLPADDING=0><TR><TD BGCOLOR=\"$text_farbe\"><TABLE BORDER=0 WIDTH=\"100%\" CELLPADDING=8 CELLSPACING=1>";
	$db->query("SELECT * FROM tbl_newsletter WHERE ID<$last_nl ORDER BY date DESC");
	if(!$db->num_rows()) {
		$return_code="<B>Keine Eintr&auml;ge im Newsbereich</B>";
		return $return_code;
	}
	while($db->next_record()) {
		$anz++;
		$nl_id=$db->f("ID");
		$date=date("d-m-Y",$db->f("date"));
		$letter_text=nl2br($db->f("news_text"));
		$return_code=$return_code."<TR><TD BGCOLOR=\"$hg_farbe\" WIDTH=\"100%\">Eintrag am $date<HR><BR>$letter_text</TD></TR>";		
		if($anz>=$eintr_pro_seite) {
			if($db->num_rows()==$eintr_pro_seite) {
				$return_code=$return_code."</TABLE></TD></TR></TABLE>";
				return $return_code;
			} else {
				$return_code=$return_code."</TABLE></TD></TR></TABLE><CENTER><FORM ACTION=\"index.php3?upper_cat=news\" METHOD=\"POST\"><INPUT TYPE=HIDDEN NAME=\"last_nl\" VALUE=\"$nl_id\"><INPUT TYPE=SUBMIT VALUE=\"N&auml;chste Seite\" ID=\"f2\"></FORM></CENTER>";
				return $return_code;
			}
		}
	}
	$return_code=$return_code."</TABLE></TD></TR></TABLE>";
	return $return_code;
}

function print_gb_entries($last_nl,$text_farbe,$hg_farbe,$eintr_pro_seite,$last_entry) {
	$db = new My_DB_Sql;
	if(!$last_nl) { $last_nl=0; }	
	$db->query("SELECT * FROM tbl_gb ORDER BY ID DESC");
	$_max_=$db->num_rows();
	if(!$last_entry) { $last_entry=$_max_+1; }
	$db->next_record();
	$max_entries=$db->f("ID");
	if(!$last_nl) { $last_nl=$max_entries+1; $rounds=0;} else { $rounds=1; }
	if($max_entries) { $return_code="Gesamte Eintr&auml;ge im G&auml;stebuch: $_max_<BR><BR>"; }
	$db->query("SELECT * FROM tbl_gb WHERE ID<$last_nl ORDER BY date DESC");
	if($rounds==0) { $last_nl=$_max_+1; }
	$return_code=$return_code."<TABLE BORDER=0 WIDTH=\"97%\" CELLSPACING=1 CELLPADDING=0><TR><TD BGCOLOR=\"$text_farbe\"><TABLE BORDER=0 WIDTH=\"100%\" CELLPADDING=8 CELLSPACING=1>";
	if(!$db->num_rows()) {
		$return_code="<B>Keine Eintr&auml;ge im G&auml;stebuch</B><BR><BR>Bitte eintragen.";
		return $return_code;
	}
	while($db->next_record()) {
		$anz++;
		$nl_id=$db->f("ID");
		$date=$db->f("date");
		$date=date("d-m-Y, H:i",$date);
		$author=$db->f("name");
		$email=$db->f("email");
		$hp=$db->f("hp");
		$nr=$last_entry-$anz;
		$entry_text=nl2br(htmlentities($db->f("eintrag")));
		$return_code=$return_code."<TR><TD BGCOLOR=\"#EFBF1D\">Eintrag Nr. $nr<BR>am $date<BR>von ";
		if($email) { $return_code=$return_code."<A HREF=\"mailto:$email\">$author</A>"; } else { $return_code=$return_code."$author"; }
		if($hp) { $hp=check_gb_url($hp); $return_code=$return_code."<BR>Homepage:<BR><A HREF=\"$hp\" TARGET=\"_new\">$hp</A>"; }
		$return_code=$return_code."</TD><TD WIDTH=\"70%\" BGCOLOR=\"$hg_farbe\" VALIGN=\"TOP\">$entry_text</TD></TR>";		
		if($anz>=$eintr_pro_seite) {
			if($_max_==$eintr_pro_seite) {
				$return_code=$return_code."</TABLE></TD></TR></TABLE>";
				return $return_code;
			} else {
				$return_code=$return_code."</TABLE></TD></TR></TABLE><CENTER><FORM ACTION=\"index.php3?upper_cat=gb&lower_cat=lesen\" METHOD=\"POST\"><INPUT TYPE=HIDDEN NAME=\"last_nl\" VALUE=\"$nl_id\"><INPUT TYPE=HIDDEN NAME=\"last_entry\" VALUE=\"$nr\"><INPUT TYPE=SUBMIT VALUE=\"N&auml;chste Seite\" ID=\"f2\"></FORM>";
				return $return_code;
			}
		}
	}
	$return_code=$return_code."</TABLE></TD></TR></TABLE>";
	return $return_code;
}


function write_gb_entry($user,$email,$hp,$text) {
// Schreibt Gstebucheintrag in die Datenbank
	$db = new My_DB_Sql;
	$db->query("SELECT * FROM tbl_site_config");
	$db->next_record();
	$res=$db->f("allow_hmtl_tags");
	if($res=="no") { $text=strip_tags($text); }
	$timest=time();
	$db->query("INSERT INTO tbl_gb (date,name,email,hp,eintrag) VALUES ($timest,'$user','$email','$hp','$text')");
	if($db->affected_rows()) {
		return TRUE;
	} else {
		return FALSE;
	}
}

function print_admin_main_categories($user,$passwd,$text_farbe) {
// Listet die Haupt-Kategorien in einer List-Box auf
	$db = new My_DB_Sql;
	$db->query("SELECT * FROM tbl_upper_categories ORDER BY ID");
	$return_code="<FORM ACTION=\"index.php3?upper_cat=admin&lower_cat=edit_upper_cat\" METHOD=\"POST\"><TABLE BORDER=0 CELLSPACING=1 CELLPADDING=0 WIDTH=\"100%\"><TR><TD WIDTH=\"100%\"><SELECT NAME=\"sel_cat\" size=1 ID=\"f1\"><OPTION VALUE=\"new_cat\" SELECTED>Neue Haupt-Kategorie</OPTION>";
	while($db->next_record()) {
		$cat_name=$db->f("Name");
		$cat_id=$db->f("ID");
		if($cat_name!="Home") { 
			$return_code=$return_code."<OPTION VALUE=\"$cat_id\">$cat_name</OPTION>"; 
		}
	
	}
	$sub_code=print_hidden_fields($user,$passwd,"Editieren");
	$return_code=$return_code."</SELECT></TD><TD><INPUT TYPE=HIDDEN NAME=\"admin_name\" VALUE=\"$user\"><INPUT TYPE=HIDDEN NAME=\"admin_pass\" VALUE=\"$passwd\"><INPUT TYPE=SUBMIT NAME=\"edit\" VALUE=\"Editieren\" ID=\"f2\"></TD><TD ALIGN=\"CENTER\"><INPUT TYPE=SUBMIT NAME=del VALUE=\"L&ouml;schen\" ID=\"f2\"></TD></TR></TABLE></FORM><HR>";
	return $return_code;
}

function print_admin_sub_categories($user,$passwd,$text_farbe) {
	$db = new My_DB_Sql;
	$db2 = new My_DB_Sql;
	$db->query("SELECT * FROM tbl_lower_categories ORDER BY ID");
	$return_code="<FORM ACTION=\"index.php3?upper_cat=admin&lower_cat=edit_lower_cat\" METHOD=\"POST\"><TABLE BORDER=0 CELLSPACING=1 CELLPADDING=0 WIDTH=\"100%\"><TR><TD WIDTH=\"100%\"><SELECT NAME=\"sel_cat\" SIZE=1 ID=\"f1\"><OPTION VALUE=\"new_cat\" SELECTED>Neue Unter-Kategorie</OPTION>";
	while ($db->next_record()) {
		$sub_cat_name=$db->f("Name");
		$sub_cat_id=$db->f("ID");
		$sub_cat_parent=$db->f("Child_of");
		$db2->query("SELECT * FROM tbl_upper_categories WHERE ID=$sub_cat_parent");
		$db2->next_record();
		$main_cat=$db2->f("Name");
		$return_code=$return_code."<OPTION VALUE=\"$sub_cat_id\">$main_cat - $sub_cat_name</OPTION>";
	}
	$sub_code=print_hidden_fields($user,$passwd,"Editieren");
	$return_code=$return_code."</SELECT></TD><TD><INPUT TYPE=HIDDEN NAME=\"admin_name\" VALUE=\"$user\"><INPUT TYPE=HIDDEN NAME=\"admin_pass\" VALUE=\"$passwd\"><INPUT TYPE=SUBMIT NAME=\"edit\" VALUE=\"Editieren\" ID=\"f2\"></TD><TD ALIGN=\"CENTER\"><INPUT TYPE=SUBMIT NAME=\"del\" VALUE=\"L&ouml;schen\" ID=\"f2\"></TD></TR></TABLE></FORM><HR>";
	return $return_code;
}

function del_main_category($admin_name,$admin_pass,$cat_to_del) {
	$db = new My_DB_Sql;
	$db->query("SELECT * FROM tbl_upper_categories WHERE ID=$cat_to_del");
	$db->next_record();
	$cat_name=$db->f("Name");
	$db->query("DELETE FROM tbl_upper_categories WHERE ID=$cat_to_del");
	if($db->affected_rows()) {
		$return_text="Kategorie <I>$cat_name</I> wurde auf Ihren Wunsch hin gel&ouml;scht.";
		$return_text=$return_text."<BR><CENTER><FORM ACTION=\"index.php3?upper_cat=admin\" METHOD=\"POST\">";
		$sub_code=print_hidden_fields($admin_name,$admin_pass,"Zur&uuml;ck zur Admin-Hauptsite");
		$return_text=$return_text.$sub_code;
		$return_text=$return_text."</CENTER>";
		$timest=time();
		$db->query("UPDATE tbl_features set update_date='$timest'");
	} else {
		$return_text="Upps... Auf die Datenbank konnte nicht zugegriffen werden. Bitte versuchen sie es erneut.<BR><FORM ACTION=\"index.php3?upper_cat=admin\" METHOD=\"POST\">";
		$return_text=$return_text."<BR><CENTER>";
		$sub_code=print_hidden_fields($admin_name,$admin_pass,"Zur&uuml;ck zur Admin-Hauptsite");
		$return_text=$return_text.$sub_code;
		$return_text=$return_text."</CENTER>";
	}
	return $return_text;
}

function del_sub_category($admin_name,$admin_pass,$cat_to_del) {
	$db = new My_DB_Sql;
	$db->query("SELECT * FROM tbl_lower_categories WHERE ID=$cat_to_del");
	$db->next_record();
	$cat_name=$db->f("Name");
	$db->query("DELETE FROM tbl_lower_categories WHERE ID=$cat_to_del");
	if($db->affected_rows()) {
		$return_text="Kategorie <I>$cat_name</I> wurde auf Ihren Wunsch hin gel&ouml;scht.";
		$return_text=$return_text."<BR><CENTER><FORM ACTION=\"index.php3?upper_cat=admin\" METHOD=\"POST\">";
		$sub_code=print_hidden_fields($admin_name,$admin_pass,"Zur&uuml;ck zur Admin-Hauptsite");
		$return_text=$return_text.$sub_code;
		$timest=time();
		$return_text=$return_text."</CENTER>";
		$db->query("UPDATE tbl_features set update_date='$timest'");
	} else {
		$return_text="Upps... Auf die Datenbank konnte nicht zugegriffen werden. Bitte versuchen sie es erneut.<BR><FORM ACTION=\"index.php3?upper_cat=admin\" METHOD=\"POST\">";
		$return_text=$return_text."<BR><CENTER>";
		$sub_code=print_hidden_fields($admin_name,$admin_pass,"Zur&uuml;ck zur Admin-Hauptsite");
		$return_text=$return_text.$sub_code;
		$return_text=$return_text."</CENTER>";
	}
	return $return_text;
}


function update_main_category($admin_name,$admin_pass,$cat_to_update,$update_text,$text_farbe,$new_cat_name,$cat_descr) {
	$db = new My_DB_Sql;
	if($new_cat_name) {
		$db->query("UPDATE tbl_upper_categories SET Name='$new_cat_name' WHERE ID=$cat_to_update");
		$ar=$db->affected_rows();
		$db->query("UPDATE tbl_upper_categories SET descr='$cat_descr' WHERE ID=$cat_to_update");
		$as=$db->affected_rows();
		$db->query("UPDATE tbl_upper_categories SET HTML_Text='$update_text' WHERE ID=$cat_to_update");
		if($db->affected_rows()||$ar||$as) {
			$return_text="<FORM ACTION=\"index.php3?upper_cat=admin\" METHOD=\"POST\">Haupt-Kategorie <I>$new_cat_name</I> wurde &uuml;berarbeitet.<BR>";
			$return_text=$return_text."<BR><CENTER>";
			$sub_code=print_hidden_fields($admin_name,$admin_pass,"Zur&uuml;ck zur Admin-Hauptsite");
			$return_text=$return_text.$sub_code;
			$return_text=$return_text."</CENTER>";
			$timest=date("d-m-Y",time());
			$db->query("UPDATE tbl_features set update_date='$timest'");
		} else {
			$return_text="Upps... Auf die Datenbank konnte nicht zugegriffen werden. Bitte versuchen sie es erneut.<BR><FORM ACTION=\"index.php3?upper_cat=admin\" METHOD=\"POST\">";
			$return_text=$return_text."<BR><CENTER>";
			$sub_code=print_hidden_fields($admin_name,$admin_pass,"Zur&uuml;ck zur Admin-Hauptsite");
			$return_text=$return_text.$sub_code;
			$return_text=$return_text."</CENTER>";
		}
	} else {
		$db->query("SELECT * FROM tbl_upper_categories WHERE ID=$cat_to_update");
		$db->next_record();
		$uc_name=$db->f("Name");
		$uc_html_code=$db->f("HTML_Text");
		$uc_descr=$db->f("descr");
		$return_text="<CENTER><TABLE BORDER=0 CELLSPACING=1><TR><TD BGCOLOR=\"$text_farbe\"><TABLE BORDER=0 CELLSPACING=0 CELLPADDING=8><TR><TD BGCOLOR=\"#EFBF1D\"><FORM ACTION=\"index.php3?upper_cat=admin&lower_cat=edit_upper_cat\" METHOD=\"POST\"><TABLE BORDER=0><TR><TD><INPUT TYPE=TEXT NAME=\"update_cat\" ID=\"f1\" VALUE=\"$uc_name\"></TD><TD>Beschreibung&nbsp;<INPUT TYPE=TEXT NAME=\"nl_text\" VALUE=\"$uc_descr\" ID=\"f1\"></TD></TR><TR><TD COLSPAN=2><TEXTAREA NAME=\"new_cat_text\" ROWS=10 COLS=120 ID=\"f1\">$uc_html_code</TEXTAREA></TD></TR><TR><TD><INPUT TYPE=HIDDEN NAME=\"sel_cat\" VALUE=\"$cat_to_update\"><INPUT TYPE=SUBMIT VALUE=\"Kategorie updaten\" ID=\"f2\"></TD><TD><INPUT TYPE=RESET VALUE=\"Daten zur&uuml;cksetzen\" ID=\"f2\"></TD></TR></TABLE>";
		$sub_code=print_hidden_fields($admin_name,$admin_pass,"");
		$return_text=$return_text.$sub_code;
	}
	return $return_text;
}


function update_lower_category($admin_name,$admin_pass,$cat_to_update,$update_text,$text_farbe,$new_cat_name) {
	$db = new My_DB_Sql;
	if($new_cat_name) {
		$db->query("UPDATE tbl_lower_categories SET Name='$new_cat_name' WHERE ID=$cat_to_update");
		$ar=$db->affected_rows();
		$db->query("UPDATE tbl_lower_categories SET HTML_Text='$update_text' WHERE ID=$cat_to_update");
		if($db->affected_rows()||$ar) {
			$return_text="<FORM ACTION=\"index.php3?upper_cat=admin\" METHOD=\"POST\">Unter-Kategorie <I>$new_cat_name</I> wurde &uuml;berarbeitet.<BR>";
			$return_text=$return_text."<BR><CENTER>";
			$sub_code=print_hidden_fields($admin_name,$admin_pass,"Zur&uuml;ck zur Admin-Hauptsite");
			$return_text=$return_text.$sub_code;
			$return_text=$return_text."</CENTER>";
			$timest=date("d-m-Y",time());
			$db->query("UPDATE tbl_features set update_date='$timest'");
		} else {
			$return_text="Upps... Auf die Datenbank konnte nicht zugegriffen werden. Bitte versuchen sie es erneut.<BR><FORM ACTION=\"index.php3?upper_cat=admin\" METHOD=\"POST\">";
			$return_text=$return_text."<BR><CENTER>";
			$sub_code=print_hidden_fields($admin_name,$admin_pass,"Zur&uuml;ck zur Admin-Hauptsite");
			$return_text=$return_text.$sub_code;
			$return_text=$return_text."</CENTER>";
		}
	} else {
		$db->query("SELECT * FROM tbl_lower_categories WHERE ID=$cat_to_update");
		$db->next_record();
		$lc_name=$db->f("Name");
		$lc_html_code=$db->f("HTML_Text");
		$return_text="<CENTER><TABLE BORDER=0 CELLSPACING=1><TR><TD BGCOLOR=\"$text_farbe\"><TABLE BORDER=0 CELLSPACING=0 CELLPADDING=8><TR><TD BGCOLOR=\"#EFBF1D\"><FORM ACTION=\"index.php3?upper_cat=admin&lower_cat=edit_lower_cat\" METHOD=\"POST\"><TABLE BORDER=0><TR><TD><INPUT TYPE=TEXT NAME=\"update_cat\" ID=\"f1\" VALUE=\"$lc_name\"></TD><TD></TD></TR><TR><TD COLSPAN=2><TEXTAREA NAME=\"new_cat_text\" ROWS=20 COLS=140 ID=\"f1\">$lc_html_code</TEXTAREA></TD></TR><TR><TD><INPUT TYPE=HIDDEN NAME=\"sel_cat\" VALUE=\"$cat_to_update\"><INPUT TYPE=SUBMIT VALUE=\"Kategorie updaten\" ID=\"f2\"></TD><TD><INPUT TYPE=RESET VALUE=\"Daten zur&uuml;cksetzen\" ID=\"f2\"></TD></TR></TABLE>";
		$sub_code=print_hidden_fields($admin_name,$admin_pass,"");
		$return_text=$return_text.$sub_code;
	}
	return $return_text;
}



function create_new_main_category($admin_name,$admin_pass,$new_cat_name,$new_cat_text,$text_farbe,$cat_descr) {
	$db = new My_DB_Sql;
	if($new_cat_name) {
		$db->query("INSERT INTO tbl_upper_categories (Name, HTML_Text,descr) VALUES ('$new_cat_name','$new_cat_text','$cat_descr')");
		if($db->affected_rows()) {
			$return_text="<FORM ACTION=\"index.php3?upper_cat=admin\" METHOD=\"POST\">Haupt-Kategorie <I>$new_cat_name</I> wurde erstellt.<BR>";
			if($new_cat_text) { $return_text=$return_text."Der Text f&uuml;r diese Kategorie wurde ebenfalls in die Datenbank geschrieben.<BR>"; }
			$return_text=$return_text."<BR><CENTER>";
			$sub_code=print_hidden_fields($admin_name,$admin_pass,"Zur&uuml;ck zur Admin-Hauptsite");
			$return_text=$return_text.$sub_code;
			$return_text=$return_text."</CENTER>";
			$timest=date("d-m-Y",time());
			$db->query("UPDATE tbl_features set update_date='$timest'");

		} else {
		
			$return_text="Upps... Auf die Datenbank konnte nicht zugegriffen werden. Bitte versuchen sie es erneut.<BR><FORM ACTION=\"index.php3?upper_cat=admin\" METHOD=\"POST\">";
			$return_text=$return_text."<BR><CENTER>";
			$sub_code=print_hidden_fields($admin_name,$admin_pass,"Zur&uuml;ck zur Admin-Hauptsite");
			$return_text=$return_text.$sub_code;
			$return_text=$return_text."</CENTER>";
		}
	} else {
		$return_text="<CENTER><TABLE BORDER=0 CELLSPACING=1><TR><TD BGCOLOR=\"$text_farbe\"><TABLE BORDER=0 CELLSPACING=0 CELLPADDING=8><TR><TD BGCOLOR=\"#EFBF1D\"><FORM ACTION=\"index.php3?upper_cat=admin&lower_cat=edit_upper_cat\" METHOD=\"POST\"><TABLE BORDER=0><TR><TD><INPUT TYPE=TEXT NAME=\"new_cat_name\" ID=\"f1\" VALUE=\"<Kategoriename>\"></TD><TD>Beschreibung&nbsp;<INPUT TYPE=TEXT NAME=\"nl_text\" ID=\"f1\"></TD></TR><TR><TD COLSPAN=2><TEXTAREA NAME=new_cat_text ROWS=10 COLS=120 ID=\"f1\">&lt;Kategorie-Text&gt;</TEXTAREA></TD></TR><TR><TD><INPUT TYPE=HIDDEN NAME=\"sel_cat\" VALUE=\"new_cat\"><INPUT TYPE=SUBMIT VALUE=\"Kategorie erstellen\" ID=\"f2\"></TD><TD><INPUT TYPE=RESET VALUE=\"Daten zur&uuml;cksetzen\" ID=\"f2\"></TD></TR></TABLE>";
		$sub_code=print_hidden_fields($admin_name,$admin_pass,"");
		$return_text=$return_text.$sub_code;
	}
	return $return_text;
}

function create_new_sub_category($admin_name,$admin_pass,$new_cat_name,$new_cat_text,$text_farbe,$child_of) {
	$db = new My_DB_Sql;
	if($new_cat_name) {
		$db->query("INSERT INTO tbl_lower_categories (Name,Child_of, HTML_Text) VALUES ('$new_cat_name','$child_of','$new_cat_text')");
		if($db->affected_rows()) {
			$return_text="<FORM ACTION=\"index.php3?upper_cat=admin\" METHOD=\"POST\">Unter-Kategorie <I>$new_cat_name</I> wurde erstellt.<BR>";
			if($new_cat_text) { $return_text=$return_text."Der Text f&uuml;r diese Kategorie wurde ebenfalls in die Datenbank geschrieben.<BR>"; }
			$return_text=$return_text."<BR><CENTER>";
			$sub_code=print_hidden_fields($admin_name,$admin_pass,"Zur&uuml;ck zur Admin-Hauptsite");
			$return_text=$return_text.$sub_code;
			$return_text=$return_text."</CENTER>";
			$timest=date("d-m-Y",time());
			$db->query("UPDATE tbl_features set update_date='$timest'");

		} else {
		
			$return_text="Upps... Auf die Datenbank konnte nicht zugegriffen werden. Bitte versuchen sie es erneut.<BR><FORM ACTION=\"index.php3?upper_cat=admin\" METHOD=\"POST\">";
			$return_text=$return_text."<BR><CENTER>";
			$sub_code=print_hidden_fields($admin_name,$admin_pass,"Zur&uuml;ck zur Admin-Hauptsite");
			$return_text=$return_text.$sub_code;
			$return_text=$return_text."</CENTER>";
		}
	} else {
		$return_text="<CENTER><TABLE BORDER=0 CELLSPACING=1><TR><TD BGCOLOR=\"$text_farbe\"><TABLE BORDER=0 CELLSPACING=0 CELLPADDING=8><TR><TD BGCOLOR=\"#EFBF1D\"><FORM ACTION=\"index.php3?upper_cat=admin&lower_cat=edit_lower_cat\" METHOD=\"POST\"><TABLE BORDER=0><TR><TD><INPUT TYPE=TEXT NAME=\"new_cat_name\" ID=\"f1\" VALUE=\"<Kategoriename>\"></TD><TD><SELECT NAME=\"child_of\" SIZE=1 ID=\"f1\"><OPTION VALUE=\"\" SELECTED>Mitglied von</OPTION>";		
		$db->query("SELECT * FROM tbl_upper_categories ORDER BY ID");
		while($db->next_record()) {
			$u_id=$db->f("ID");
			$u_name=$db->f("Name");
			$return_text=$return_text."<OPTION VALUE=\"$u_id\">$u_name</OPTION>";
		}
		$return_text=$return_text."</TD></TR><TR><TD COLSPAN=2><TEXTAREA NAME=\"new_cat_text\" ROWS=10 COLS=120 ID=\"f1\">&lt;Kategorie-Text&gt;</TEXTAREA></TD></TR><TR><TD><INPUT TYPE=HIDDEN NAME=\"sel_cat\" VALUE=\"new_cat\"><INPUT TYPE=SUBMIT VALUE=\"Kategorie erstellen\" ID=\"f2\"></TD><TD><INPUT TYPE=RESET VALUE=\"Daten zur&uuml;cksetzen\" ID=\"f2\"></TD></TR></TABLE>";
		$sub_code=print_hidden_fields($admin_name,$admin_pass,"");
		$return_text=$return_text.$sub_code;
	}
	return $return_text;
}


function write_newsletter($admin_name,$admin_pass,$text_farbe,$nl_text,$emailyn) {
	global $site_name;
	$db = new My_DB_Sql;
	if($nl_text) {
		$timest=time();
		$insert_text=htmlentities($nl_text);
		$db->query("INSERT INTO tbl_newsletter (date,news_text) VALUES ('$timest','$insert_text')");
		if($db->affected_rows()) {
			$return_text="<FORM ACTION=\"index.php3?upper_cat=admin\" METHOD=\"POST\">Neuer Newsletter wurde erstellt.<BR>";
			if($emailyn) {
				$db->query("SELECT * FROM tblnewsletter_email_db ORDER BY ID");
				while($db->next_record()) {
					$i++;
					$email=$db->f("email");
					$tomail[$i]=$email;
				}
				if(!$tomail) {
					$return_text=$return_text."Die Option der Newsletter-Mail wurde verwendet, konnte aber mangels Email-Daten nicht verarbeitet werden.";
				} else {
					reset($tomail);
					while(list($k, $v) = each($tomail)) {
						$bcc .= "Bcc: $v\n";
					}
					$date=date("Y-m-d",$timest);
					$subj="$site_name-Newsletter vom $date";
					$body=strip_tags($nl_text);
					if($bcc) { $bcc .= "FROM: newsletter@pro-entertain.de\nX-ENVELOPE-FROM:newsletter@pro-entertain.de"; }
					$ok=mail("newsletter@pro-entertain.de","$subj","$body",$bcc);
					if($ok!=TRUE) {
						$return_text=$return_text."Der Newsletter konnte nicht an die Adressen in der Datenbank geschickt werden, das Mail-Programm lieferte einen Wert (FALSE) zur&uuml;ck.";
					} else {
						$return_text=$return_text."Zudem wurde der Newsletter auch an die <I>$i</I> EMail-Adressen geschickt.";
					}
				}
			} 
			$return_text=$return_text."<BR><CENTER>";
			$sub_code=print_hidden_fields($admin_name,$admin_pass,"Zur&uuml;ck zur Admin-Hauptsite");
			$return_text=$return_text.$sub_code;
			$return_text=$return_text."</CENTER>";

		} else {		
			$return_text="Upps... Auf die Datenbank konnte nicht zugegriffen werden. Bitte versuchen sie es erneut.<BR><FORM ACTION=index.php3?upper_cat=admin METHOD=\"POST\">";
			$return_text=$return_text."<BR><CENTER>";
			$sub_code=print_hidden_fields($admin_name,$admin_pass,"Zur&uuml;ck zur Admin-Hauptsite");
			$return_text=$return_text.$sub_code;
			$return_text=$return_text."</CENTER>";
		}
	} else {
		$return_text="<CENTER><TABLE BORDER=0 CELLSPACING=1><TR><TD BGCOLOR=\"$text_farbe\"><TABLE BORDER=0 CELLSPACING=0 CELLPADDING=8><TR><TD BGCOLOR=\"EFBF1D\"><FORM ACTION=\"index.php3?upper_cat=admin&lower_cat=newsletter\" METHOD=\"POST\"><TABLE BORDER=0><TR><TD><TEXTAREA NAME=\"nl_text\" ROWS=6 COLS=70 ID=\"f1\">&lt;Newsletter-Text&gt;</TEXTAREA></TD></TR><TR><TD><INPUT TYPE=CHECKBOX NAME=\"emailyn\" VALUE=\"TRUE\" CHECKED=\"CHECKED\" ID=\"f2\"> Newsletter auch an EMail-Datenbank schicken<BR><INPUT TYPE=SUBMIT VALUE=\"Newsletter erstellen\" ID=\"f2\"></TD><TD VALIGN=\"BOTTOM\"><INPUT TYPE=RESET VALUE=\"Daten zur&uuml;cksetzen\" ID=\"f2\"></TD></TR></TABLE>";
		$sub_code=print_hidden_fields($admin_name,$admin_pass,"");
		$return_text=$return_text.$sub_code;	
	}
	return $return_text;
}

function print_newsletter_db($admin_name,$admin_pass,$text_farbe) {
	$db = new My_DB_Sql;

	$return_code="Zu l&ouml;schende Adresse<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0><TR><TD WIDTH=\"100%\"><FORM ACTION=\"index.php3?upper_cat=admin&lower_cat=del_nl_email\" METHOD=\"POST\"><SELECT NAME=\"sel_cat\" ID=\"f1\"><OPTION SELECTED>hier w&auml;hlen</OPTION>";

	$db->query("SELECT * FROM tblnewsletter_email_db");
	while($db->next_record()) {
		$anz++;
		$eid=$db->f("ID");
		$email=$db->f("email");
		$return_code=$return_code."<OPTION VALUE=\"$eid\">$email</OPTION>";
	}
	$return_code=$return_code."</SELECT></TD><TD ALIGN=\"RIGHT\"><INPUT TYPE=HIDDEN NAME=\"admin_name\" VALUE=\"$admin_name\"><INPUT TYPE=HIDDEN NAME=\"admin_pass\" VALUE=\"$admin_pass\"><INPUT TYPE=SUBMIT VALUE=\"L&ouml;schen\" ID=\"f2\"></TD></TR></TABLE></FORM>Anzahl der Adressen: $anz<BR><HR>";

	return $return_code;
}

function delete_nl_email($admin_name,$admin_pass,$del_id) {
	$db = new My_DB_Sql;
	$db->query("DELETE FROM tblnewsletter_email_db WHERE ID=$del_id");
	if($db->affected_rows()) {
		$return_code="Email-Adresse wurde aus der Datenbank entfernt.<BR>";
	} else {
		$return_code="Uupss! Auf die Datenbank konnte nicht zugegriffen werden.<BR><BR>M&ouml;glicherweise ist es nur ein tempor&auml;res Problem, das in ein paar Sekunden bereits behoben ist. Probieren Sie es erneut.<BR>"; 
	}
	$sub_code=print_hidden_fields($admin_name,$admin_pass,"Zur&uuml;ck zum Adminbereich");
	$return_code=$return_code."<FORM ACTION=\"index.php3?upper_cat=admin&lower_cat=\" METHOD=\"POST\">".$sub_code;

	return $return_code;
}

function print_gb_admin_entry($admin_name,$admin_pass,$text_farbe) {
	$db = new My_DB_Sql;
	$return_code="Eintr&auml;ge aus dem Gstebuch lschen?<FORM ACTION=\"index.php3?upper_cat=admin&lower_cat=delete_gb_entry\" METHOD=\"POST\"><TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0><TR><TD WIDTH=\"100%\"><SELECT NAME=sel_cat ID=\"f1\"><OPTION SELECTED>welchen?</OPTION>";

	$db->query("SELECT * FROM tbl_gb");
	while($db->next_record()) {
		$anz++;
		$eid=$db->f("ID");
		$name=$db->f("name");
		$date=date("d/m",$db->f("date"));
		$return_code=$return_code."<OPTION VALUE=\"$eid\">$name-$date</OPTION>";
	}
	$return_code=$return_code."</SELECT></TD><TD ALIGN=\"RIGHT\"><INPUT TYPE=HIDDEN NAME=\"admin_name\" VALUE=\"$admin_name\"><INPUT TYPE=HIDDEN NAME=\"admin_pass\" VALUE=\"$admin_pass\"><INPUT TYPE=SUBMIT VALUE=\"L&ouml;schen\" ID=\"f2\"></TD></TR></TABLE></FORM><HR>";
	return $return_code;
}

function delete_gb_entry($admin_name,$admin_pass,$del_id) {
	$db = new My_DB_Sql;
	$db->query("DELETE FROM tbl_gb WHERE ID=$del_id");

	if($db->affected_rows()) {
		$return_code="Gstebucheintrag mit der Kennummer <I>$del_id</I> wurde gelscht.<BR>";
	} else {
		$return_code="Uupss! Auf die Datenbank konnte nicht zugegriffen werden.<BR><BR>M&ouml;glicherweise ist es nur ein tempor&auml;res Problem, das in ein paar Sekunden bereits behoben ist. Probieren Sie es erneut.<BR>";
	}
	$sub_code=print_hidden_fields($admin_name,$admin_pass,"Zur&uuml;ck zum Adminbereich");
	$return_code=$return_code."<FORM ACTION=\"index.php3?upper_cat=admin&lower_cat=\" METHOD=\"POST\">".$sub_code;

	return $return_code;
}

function get_update() {
	// Holt Update-Datum aus der DB, welches bei jeder inhaltlichen nderung der Kategorien angepasst wird
	$db = new My_DB_Sql;
	$db->query("SELECT * FROM tbl_features");
	$db->next_record();
	$return=$db->f("update_date");

	return $return;
}


function update_main_site($admin_name,$admin_pass,$update,$new_cat_text,$text_farbe) {

	// HTML-Eintrag fr >Home< ndern
	$db = new My_DB_Sql;
	if($update=="yes") {
		$db->query("UPDATE tbl_upper_categories SET HTML_Text='$new_cat_text' WHERE Name='Home'");
		if($db->affected_rows()) {
			$return_code="<I>Home</I> wurde upgedatet.<BR>";
			$timest=date("d-m-Y",time());
			$db->query("UPDATE tbl_features set update_date='$timest'");
		} else {
			$return_code="Uupss! Auf die Datenbank konnte nicht zugegriffen werden.<BR><BR>M&ouml;glicherweise ist es nur ein tempor&auml;res Problem, das in ein paar Sekunden bereits behoben ist. Probieren Sie es erneut.<BR>";
		}
		$sub_code=print_hidden_fields($admin_name,$admin_pass,"Zur&uuml;ck zum Adminbereich");
		$return_code=$return_code."<FORM ACTION=\"index.php3?upper_cat=admin&lower_cat=\" METHOD=\"POST\">".$sub_code;
	} else {
		$db->query("SELECT * FROM tbl_upper_categories WHERE Name='Home'");
		$db->next_record();
		$text_to_edit=$db->f("HTML_Text");
		$return_code="<CENTER><FORM ACTION=\"index.php3?upper_cat=admin&lower_cat=edit_main_site\" METHOD=\"POST\"><TABLE BORDER=0 CELLSPACING=0 CELLPADDING=1><TR><TD BGCOLOR=\"$text_farbe\"><TABLE BORDER=0 CELLSPACING=0 CELLPADDING=8><TR><TD BGCOLOR=\"#EFBF1D\"><TEXTAREA NAME=\"new_cat_text\" ROWS=10 COLS=120 ID=\"f1\">$text_to_edit</TEXTAREA><INPUT TYPE=HIDDEN NAME=\"admin_name\" VALUE=\"$admin_name\"><INPUT TYPE=HIDDEN NAME=\"admin_pass\" VALUE=\"$admin_pass\"><INPUT TYPE=HIDDEN NAME=\"sel_cat\" VALUE=\"yes\"><BR><BR><INPUT TYPE=SUBMIT VALUE=\"Home updaten\" ID=\"f2\"></FORM></TD></TR></TABLE></TD></TR></TABLE><BR><BR>";
		$sub_code=print_hidden_fields($admin_name,$admin_pass,"Zur&uuml;ck zum Adminbereich");
		$return_code=$return_code."<FORM ACTION=\"index.php3?upper_cat=admin\" METHOD=\"POST\">".$sub_code."</CENTER>";
	}
	return $return_code;
}

function banner_menu($ok,$Name,$email,$HP_URL,$HP_Title,$Banner_URL) {
	// Banner-Men
	if($ok) {
		if($Name&&$email&&$HP_URL&&$HP_Title&&$Banner_URL) {
			$db = new My_DB_Sql;
			$db->query("INSERT INTO tbl_banner_rotate (Name,email,HP_URL,HP_Titel,Banner_URL) VALUES ('$Name','$email','$HP_URL','$HP_Title','$Banner_URL')");
			if($db->affected_rows()) {
				mail($email,"Ihr Banner wurde bernommen!","Willkommen $Name,\n\nwir freuen uns, das Sie sich entschieden haben, ihr Banner bei uns einzutragen.\n\nWir wrden uns freuen, unser Banner ebenfalls auf Ihren Seiten zu finden. Dies stellt KEINE Bedinung dar. Wir werden Ihre Seiten in den nchsten Tagen besuchen, um uns ber den Inhalt zu informieren. Sollte Ihre Homepage pornografische oder extremistische Inhalte vorweisen, wird ihr Banner umgehend und ohne Information gelscht. Ebenfalls akzeptieren wir keine kommerzielle Websites, da unsere Produkte ausschlielich frei sein sollen.\n\nVielen Dank fr Ihr Verstndnis.\n\n\nDas PRO-Entertain.de WebSolutions - Team","FROM:bannertausch@pro-entertain.de\nTO:$email\nX-ENVELOPE-TO:$email\nX-ENVELOPE-FROM:bannertausch@pro-entertain.de\nX_Mailer:PRO-Entertain.de PHPower-Mailer");
				$return_code="Ihr Banner wurde in unsere Datenbank &uuml;bernommen und wird per Zufallsgenerator angezeigt.<BR><BR><HR><BR><H3>Wir bitten Sie, unser Banner als Gegenleistung auf Ihren Seiten einzutragen. Es ist keine Bedingung, wir w&uuml;rden uns aber freuen. Es wurde Ihnen eine Email zugeschickt.</H3>";				
			} else {
				$return_code="Sorry, Datenbank war zu beschftigt. Versuchen Sie es bitte noch einmal.";
			}
		} else {
			$return_code="<CENTER>Bitte alle Angaben ausf&uuml;llen!<BR><BR><BR><FORM ACTION=\"index.php3?action=banner\" METHOD=\"POST\"><INPUT TYPE=HIDDEN NAME=\"ok\" VALUE=\"TRUE\"><TABLE BORDER=0 CELLPADDING=1 CELLSPACING=0><TR><TD BGCOLOR=\"#000000\"><TABLE BORDER=0 CELLPADDING=8 CELLSPACING=0><TR><TD BGCOLOR=\"#FFFFFF\">Name</TD><TD BGCOLOR=\"#FFFFFF\"><INPUT TYPE=TEXT NAME=\"Name\" ID=\"f1\"></TD></TR><TR><TD BGCOLOR=\"#FFFFFF\">EMail</TD><TD BGCOLOR=\"#FFFFFF\"><INPUT TYPE=TEXT NAME=\"email\" ID=\"f1\"></TD></TR><TR><TD BGCOLOR=\"#FFFFFF\">HP-URL</TD><TD BGCOLOR=\"#FFFFFF\"><INPUT TYPE=TEXT NAME=\"HP_URL\" VALUE=\"http://\" ID=f1></TD></TR><TR><TD BGCOLOR=\"#FFFFFF\">HP-Titel</TD><TD BGCOLOR=\"#FFFFFF\"><INPUT TYPE=TEXT NAME=\"HP_Title\" ID=f1></TD></TR><TR><TD BGCOLOR=\"#FFFFFF\">Banner-URL</TD><TD BGCOLOR=\"#FFFFFF\"><INPUT TYPE=TEXT NAME=\"Banner_URL\" VALUE=\"http://\" ID=f1></TD></TR></TABLE></TD></TR></TABLE><BR><BR><INPUT TYPE=SUBMIT VALUE=\"Eintragen\" ID=f2>&nbsp;<INPUT TYPE=RESET VALUE=\"Formular leeren\" ID=\"f2\"></FORM></CENTER>";
		}
	} else {
		$return_code="<CENTER>Tragen Sie hier Ihr Banner an, das oben angezeigt werden soll. Bitte fllen Sie das Formular vollstndig aus.<BR><BR><BR><FORM ACTION=\"index.php3?action=banner\" METHOD=\"POST\"><INPUT TYPE=HIDDEN NAME=\"ok\" VALUE=\"TRUE\"><TABLE BORDER=0 CELLPADDING=1 CELLSPACING=0><TR><TD BGCOLOR=\"#000000\"><TABLE BORDER=0 CELLPADDING=8 CELLSPACING=0><TR><TD BGCOLOR=\"#FFFFFF\">Name</TD><TD BGCOLOR=\"#FFFFFF\"><INPUT TYPE=TEXT NAME=\"Name\" ID=\"f1\"></TD></TR><TR><TD BGCOLOR=\"#FFFFFF\">EMail</TD><TD BGCOLOR=\"#FFFFFF\"><INPUT TYPE=TEXT NAME=\"email\" ID=\"f1\"></TD></TR><TR><TD BGCOLOR=\"#FFFFFF\">HP-URL</TD><TD BGCOLOR=\"#FFFFFF\"><INPUT TYPE=TEXT NAME=\"HP_URL\" VALUE=\"http://\" ID=f1></TD></TR><TR><TD BGCOLOR=\"#FFFFFF\">HP-Titel</TD><TD BGCOLOR=\"#FFFFFF\"><INPUT TYPE=TEXT NAME=\"HP_Title\" ID=f1></TD></TR><TR><TD BGCOLOR=\"#FFFFFF\">Banner-URL</TD><TD BGCOLOR=\"#FFFFFF\"><INPUT TYPE=TEXT NAME=\"Banner_URL\" VALUE=\"http://\" ID=f1></TD></TR></TABLE></TD></TR></TABLE><BR><BR><INPUT TYPE=SUBMIT VALUE=\"Eintragen\" ID=f2>&nbsp;<INPUT TYPE=RESET VALUE=\"Formular leeren\" ID=\"f2\"></FORM></CENTER>";
	}
	return $return_code;
}

function update_passwd($admin_name,$admin_pass,$new_passwd) {
	$db = new My_DB_Sql;
	$db->query("UPDATE tbl_site_config SET admin_pass=PASSWORD('$new_passwd')");
	if($db->affected_rows()) {
		$return_code="Neues Passwort wurde gesetzt. Bitte merke es dir gut. Der n&auml;chste Login wird bereits mit diesem Passwort erfolgen.";
		$admin_pass=$new_passwd;
	} else {
		$return_code="Beim Setzen des neuen Passworts ist ein Fehler aufgetreten. M&ouml;glicherweise ist die Datenbank &uuml;berlastet. Bitte versuche es erneut.";
	}
	$sub_code=print_hidden_fields($admin_name,$admin_pass,"Zur&uuml;ck zum Adminbereich");
	$return_code=$return_code."<CENTER><FORM ACTION=\"index.php3?upper_cat=admin&lower_cat=\" METHOD=\"POST\">".$sub_code;
	return $return_code;
}

function update_features($admin_name,$admin_pass,$gb_stat,$news_stat,$banner_stat,$ad_stat) {
	// Welche Features sollen in Zukunft angeboten werden?
	$db = new My_DB_Sql;
	if($gb_stat=="yes") { $gb_stat=1; } else { $gb_stat=0; }
	if($news_stat=="yes") { $news_stat=1; } else { $news_stat=0; }
	if($banner_stat=="yes") { $banner_stat=1; } else { $banner_stat=0; }
	if($ad_stat=="yes") { $ad_stat=1; } else { $ad_stat=0; }
	$db->query("UPDATE tbl_features SET g_book=$gb_stat");
	$db->query("UPDATE tbl_features SET news=$news_stat");
	$db->query("UPDATE tbl_features SET b_rotation=$banner_stat");
	$db->query("UPDATE tbl_features SET	ad_status=$ad_stat");

	if($errors) {
		$return.="<BR><BR>Es sind $errors aufgetreten. Bitte versuch es doch erneut.";
	} else {
		$return.="<BR><BR>Es sind alle nderungen vorgenommen worden.";
	}
	$sub_code=print_hidden_fields($admin_name,$admin_pass,"Zur&uuml;ck zum Adminbereich");
	$return=$return."<CENTER><FORM ACTION=\"index.php3?upper_cat=admin&lower_cat=\" METHOD=\"POST\">".$sub_code;
	return $return;
}

function update_ad_tags($admin_name,$admin_pass,$new_ad_tags) {
	$db = new My_DB_Sql;
	$db->query("UPDATE tbl_features SET ad_tags='$new_ad_tags'");
	if($db->affected_rows()) {
		$return = "nderungen sind gespeichert.";
	} else { 
		$return = "Ihre nderungen konnten NICHT in die Datenbank geschrieben werden. Bitte nochmal versuchen.";
	}
	$sub_code=print_hidden_fields($admin_name,$admin_pass,"Zur&uuml;ck zum Adminbereich");
	$return=$return."<CENTER><FORM ACTION=\"index.php3?upper_cat=admin&lower_cat=\" METHOD=\"POST\">".$sub_code;
	return $return;
}

?>